What if my hardware and operating system doesn't meet these requirements?

Devices running an unsupported operating system may not be able to install the software, and devices with lower processor or RAM specifications may not experience smooth audio when using the software.

Minimum System Requirements for NOISE, ROLI PLAY, and Seaboard 5D

NOISE for iOS requires iOS 9.0 or higher and can take advantage of Apple’s 3D touch capabilities on the iPhone 6s or higher and the iPad Pro. 3D Touch capabilities are not required as the Lightpad Block offers 5D Touch. The following iOS devices have been tested and are supported:

  • iPhone 6 or higher
  • iPhone SE
  • iPad Mini 4 or higher
  • iPad Air 2
  • iPad Pro (9.7, 10.5 and 12.9 inches)
  • iPad 5th Generation / 2017 and newer
  • iPod Touch 6th Generation

An internet connection is required to register and download additional content.


NOISE is also available for the Google Pixel and Pixel 2 via the Google Play store. This includes support for BLOCKS and in-app NOISE soundpack purchases. See this page for more on Android compatibility.


ROLI PLAY requires a Lightpad Block.


*Note: NOISE's SWAM soundpacks are not currently compatible with iPhone 6, iPad Mini 4, iPad Air 2, or Android devices. See this article for details.



Minimum System Requirements for Equator/Equator Player, and ROLI Dashboard

Equator and ROLI Dashboard are provided with the Seaboard GRAND and Seaboard RISE, while Equator Player and ROLI Dashboard are included with BLOCKS.

  • Mac OSX 10.10+ / Windows 7+*
  • Intel Core i5 2.5Ghz+
  • 4GB RAM (recommended: 8GB RAM)
  • 2GB hard drive space
  • An internet connection to register and download additional content

ROLI Dashboard works with devices running Windows 7 and above. However, some Blocks running older firmware versions may need to have their firmware updated prior to using them with ROLI Dashboard on Windows. Creators who plan to use Blocks with ROLI Dashboard on Windows may need to update their Blocks via a MacOS device or a compatible iOS or Google Pixel device prior to using it with their PC.


What about Linux? While some creators have successfully used ROLI instrument on Linux, Linux is not currently supported.